View Issue Details

IDProjectCategoryView StatusLast Update
0004788VALENTINA SERVERProtocolpublic2010-12-15 20:33
ReporterIvan SmahinAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version4.6Fixed in Version4.6 
Summary0004788: 4.6 vServer kHighestSupportedProtocol command response cause disconnect in 4.5.2 (and below) vClient
Description360-client connects to 361 server asking for highest protocol.
server responded with a packet versioned by CURRENT_BUILD_PROTOCOL_VERSION (361)
360-client knows nothing about 361 and disconnects with broken packet message.

In order to support 360-clients (and down-compatible clients) server respond
with PROTOCOL_VERSION_360 packet now - so such client may think they work
against 360 server - no problem.
But now, vserver sends a really highest protocol inside also. So 361 and above
clients will get a highest version in a different way.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-04-06 07:43 Ruslan Zasukhin New Issue
2010-04-06 07:44 Ruslan Zasukhin Reporter Ruslan Zasukhin => Ivan Smahin
2010-04-06 07:44 Ruslan Zasukhin Status assigned => resolved
2010-04-06 07:44 Ruslan Zasukhin Fixed in Version => 4.6
2010-04-06 07:44 Ruslan Zasukhin Summary Hi was not aware of new version. I have now updated test system with Vserver, studiopro and rb to 4.51 and the problem seems to => 4.6 vServer kHighestSupportedProtocol command response cause disconnect in 4.5.2 (and below) vClient
2010-12-15 20:33 Ruslan Zasukhin Resolution open => fixed